'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _vnode = require('snabbdom/vnode');

var _vnode2 = _interopRequireDefault(_vnode);

var _is = require('snabbdom/is');

var _is2 = _interopRequireDefault(_is);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var isObservable = function isObservable(x) {
  return typeof x.subscribe === 'function';
};

var addNSToObservable = function addNSToObservable(vNode) {
  addNS(vNode.data, vNode.children); // eslint-disable-line
};

function addNS(data, children) {
  data.ns = 'http://www.w3.org/2000/svg';
  if (typeof children !== 'undefined' && _is2.default.array(children)) {
    for (var i = 0; i < children.length; ++i) {
      if (isObservable(children[i])) {
        children[i] = children[i].tap(addNSToObservable);
      } else {
        addNS(children[i].data, children[i].children);
      }
    }
  }
}

/* eslint-disable */
function h(sel, b, c) {
  var data = {},
      children,
      text,
      i;
  if (arguments.length === 3) {
    data = b;
    if (_is2.default.array(c)) {
      children = c;
    } else if (_is2.default.primitive(c)) {
      text = c;
    }
  } else if (arguments.length === 2) {
    if (_is2.default.array(b)) {
      children = b;
    } else if (_is2.default.primitive(b)) {
      text = b;
    } else {
      data = b;
    }
  }
  if (_is2.default.array(children)) {
    for (i = 0; i < children.length; ++i) {
      if (_is2.default.primitive(children[i])) children[i] = (0, _vnode2.default)(undefined, undefined, undefined, children[i]);
    }
  }
  if (sel[0] === 's' && sel[1] === 'v' && sel[2] === 'g') {
    addNS(data, children);
  }
  return (0, _vnode2.default)(sel, data, children, text, undefined);
};

/* eslint-enable */

exports.default = h;