'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.isolateSource = exports.isolateSink = undefined;

var _utils = require('./utils');

var isolateSource = function isolateSource(source_, scope) {
  return source_.select('.' + _utils.SCOPE_PREFIX + scope);
};

var isolateSink = function isolateSink(sink, scope) {
  return sink.map(function (vTree) {
    if (vTree.sel.indexOf('' + _utils.SCOPE_PREFIX + scope) === -1) {
      if (vTree.data.ns) {
        // svg elements
        var _vTree$data$attrs = vTree.data.attrs;
        var attrs = _vTree$data$attrs === undefined ? {} : _vTree$data$attrs;

        attrs.class = (attrs.class || '') + ' ' + _utils.SCOPE_PREFIX + scope;
      } else {
        vTree.sel = vTree.sel + '.' + _utils.SCOPE_PREFIX + scope;
      }
    }
    return vTree;
  });
};

exports.isolateSink = isolateSink;
exports.isolateSource = isolateSource;