'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.makeHTMLDriver = undefined;

var _rx = require('rx');

var _rx2 = _interopRequireDefault(_rx);

var _snabbdomToHtml = require('snabbdom-to-html');

var _snabbdomToHtml2 = _interopRequireDefault(_snabbdomToHtml);

var _transposition = require('./transposition');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function makeBogusSelect() {
  return function select() {
    return {
      observable: _rx2.default.Observable.empty(),
      events: function events() {
        return _rx2.default.Observable.empty();
      }
    };
  };
}

function makeHTMLDriver() {
  return function htmlDriver(vtree$) {
    var output$ = vtree$.flatMapLatest(_transposition.transposeVTree).last().map(_snabbdomToHtml2.default);
    output$.select = makeBogusSelect();
    return output$;
  };
}

exports.makeHTMLDriver = makeHTMLDriver;