"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var SCOPE_PREFIX = "cycle-scope-";

var isElement = function isElement(obj) {
  return typeof HTMLElement === "object" ? obj instanceof HTMLElement || obj instanceof DocumentFragment : obj && typeof obj === "object" && obj !== null && (obj.nodeType === 1 || obj.nodeType === 11) && typeof obj.nodeName === "string";
};

var domSelectorParser = function domSelectorParser(selectors) {
  var domElement = typeof selectors === "string" ? document.querySelector(selectors) : selectors;

  if (typeof domElement === "string" && domElement === null) {
    throw new Error("Cannot render into unknown element `" + selectors + "`");
  } else if (!isElement(domElement)) {
    throw new Error("Given container is not a DOM element neither a " + "selector string.");
  }
  return domElement;
};

exports.domSelectorParser = domSelectorParser;
exports.SCOPE_PREFIX = SCOPE_PREFIX;